AGAVEAnnotFilter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVEAnnotFilter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Interface AGAVEAnnotFilter

All Known Implementing Classes:
  Agave2AgaveAnnotFilter, Embl2AgaveAnnotFilter, SimpleAnnotFilter

    public interface AGAVEAnnotFilter

This interface defines mapping from BioJava into AGAVE format. As data from different sources is stored differently in BioJava it is impossible to define universal mapping from BioJava to Agave. Currently I implemented two mappings:

( embl -> )biojava -> agave

( agave -> )biojava -> agave

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static int` | `BOTH_FORWARD_COMPLEMENT`
`static int` | `COMPLEMENT`
`static int` | `FORWARD`

Method Summary
`String` | `getAccession(Annotation annot)`
`String` | `getAlignLength(Annotation annot)`
`String` | `getAlignUnits(Annotation annot)`
`AGAVEDbId[]` | `getAltIds(Annotation annot)`
`String` | `getChromNum(Annotation annot)`
`String` | `getChromosome(Annotation annot)`
`String` | `getClassifyId(Annotation annot)`
`String` | `getClassifySystem(Annotation annot)`
`String` | `getClassifyType(Annotation annot)`
`String` | `getCloneId(Annotation annot)`
`String` | `getCloneLibrary(Annotation annot)`
`String` | `getConfidence(Annotation annot)`
`String` | `getCreateDate(Annotation annot)`
`AGAVEDbId` | `getDbId(Annotation annot)`
`String` | `getDescription(Annotation annot)`
`String` | `getEcNumber(Annotation annot)`
`String` | `getElementId(Annotation annot)`
`String[]` | `getElementIds(Annotation annot)`
`String[]` | `getExonIds(Annotation annot)`
`String` | `getFeatureType(Annotation annot)`
`String` | `getGroupOrder(Annotation annot)`
`AGAVEIdAlias[]` | `getIdAlias(Annotation annot)`
`String` | `getKeyword(Annotation annot)`
`String` | `getLabel(Annotation annot)`
`AGAVEMapLocation[]` | `getMapLocation(Annotation annot)`
`String` | `getMapPosition(Annotation annot)`
`String` | `getMatchAlign(Annotation annot)`
`String` | `getMatchDesc(Annotation annot)`
`AGAVEMatchRegion` | `getMatchRegion(Annotation annot)`
`String` | `getMolType(Annotation annot)`
`String` | `getNote(Annotation annot)`
`String` | `getOrganism(Annotation annot)`
`String` | `getOS(Annotation annot)`
`AGAVEProperty[]` | `getProperty(Annotation annot, String type)`
`AGAVEQueryRegion` | `getQueryRegion(Annotation annot)`
`AGAVERelatedAnnot[]` | `getRelatedAnnot(Annotation annot)`
`String` | `getResultType(Annotation annot)`
`String` | `getSequenceId(Annotation annot)`
`String` | `getTaxonId(Annotation annot)`
`String` | `getUpdateDate(Annotation annot)`
`String` | `getVersion(Annotation annot)`
`AGAVEXrefs[]` | `getXrefs(Annotation annot)`

Field Detail

### FORWARD

    static final int FORWARD

See Also:
  Constant Field Values

### COMPLEMENT

    static final int COMPLEMENT

See Also:
  Constant Field Values

### BOTH_FORWARD_COMPLEMENT

    static final int BOTH_FORWARD_COMPLEMENT

See Also:
  Constant Field Values

Method Detail

### getAccession

    String getAccession(Annotation annot)

### getLabel

    String getLabel(Annotation annot)

### getElementId

    String getElementId(Annotation annot)

### getSequenceId

    String getSequenceId(Annotation annot)

### getKeyword

    String getKeyword(Annotation annot)

### getOrganism

    String getOrganism(Annotation annot)

### getDescription

    String getDescription(Annotation annot)

### getNote

    String getNote(Annotation annot)

### getVersion

    String getVersion(Annotation annot)

### getOS

    String getOS(Annotation annot)

### getMolType

    String getMolType(Annotation annot)

### getTaxonId

    String getTaxonId(Annotation annot)

### getCloneId

    String getCloneId(Annotation annot)

### getCloneLibrary

    String getCloneLibrary(Annotation annot)

### getChromosome

    String getChromosome(Annotation annot)

### getMapPosition

    String getMapPosition(Annotation annot)

### getEcNumber

    String getEcNumber(Annotation annot)

### getCreateDate

    String getCreateDate(Annotation annot)

### getUpdateDate

    String getUpdateDate(Annotation annot)

### getAltIds

    AGAVEDbId[] getAltIds(Annotation annot)

### getXrefs

    AGAVEXrefs[] getXrefs(Annotation annot)

### getMapLocation

    AGAVEMapLocation[] getMapLocation(Annotation annot)

### getRelatedAnnot

    AGAVERelatedAnnot[] getRelatedAnnot(Annotation annot)

### getElementIds

    String[] getElementIds(Annotation annot)

### getExonIds

    String[] getExonIds(Annotation annot)

### getChromNum

    String getChromNum(Annotation annot)

### getProperty

    AGAVEProperty[] getProperty(Annotation annot,
                                String type)

### getDbId

    AGAVEDbId getDbId(Annotation annot)

### getGroupOrder

    String getGroupOrder(Annotation annot)

### getFeatureType

    String getFeatureType(Annotation annot)

### getResultType

    String getResultType(Annotation annot)

### getConfidence

    String getConfidence(Annotation annot)

### getAlignLength

    String getAlignLength(Annotation annot)

### getAlignUnits

    String getAlignUnits(Annotation annot)

### getMatchDesc

    String getMatchDesc(Annotation annot)

### getMatchAlign

    String getMatchAlign(Annotation annot)

### getQueryRegion

    AGAVEQueryRegion getQueryRegion(Annotation annot)

### getMatchRegion

    AGAVEMatchRegion getMatchRegion(Annotation annot)

### getIdAlias

    AGAVEIdAlias[] getIdAlias(Annotation annot)

### getClassifySystem

    String getClassifySystem(Annotation annot)

### getClassifyId

    String getClassifyId(Annotation annot)

### getClassifyType

    String getClassifyType(Annotation annot)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD